Skip to content
Start here

List Zaraz historical configuration records

GET/zones/{zone_id}/settings/zaraz/history

Lists a history of published Zaraz configuration records for a zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zaraz EditZaraz ReadZaraz Admin
Path ParametersExpand Collapse
zone_id: string

Identifier.

maxLength32
Query ParametersExpand Collapse
limit: optional number

Maximum amount of results to list. Default value is 10.

minimum1
offset: optional number

Ordinal number to start listing the results with. Default value is 0.

minimum0
sortField: optional "id" or "user_id" or "description" or 2 more

The field to sort by. Default is updated_at.

One of the following:
"id"
"user_id"
"description"
"created_at"
"updated_at"
sortOrder: optional "DESC" or "ASC"

Sorting order. Default is DESC.

One of the following:
"DESC"
"ASC"
ReturnsExpand Collapse
errors: array of { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
messages: array of { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
result: array of { id, createdAt, description, 2 more }
id: number

ID of the configuration.

createdAt: string

Date and time the configuration was created.

formatdate-time
description: string

Configuration description provided by the user who published this configuration.

updatedAt: string

Date and time the configuration was last updated.

formatdate-time
userId: string

Alpha-numeric ID of the account user who published the configuration.

success: boolean

Whether the API call was successful.

List Zaraz historical configuration records

curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/settings/zaraz/history \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": 0,
      "createdAt": "2019-12-27T18:11:19.117Z",
      "description": "description",
      "updatedAt": "2019-12-27T18:11:19.117Z",
      "userId": "userId"
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": 0,
      "createdAt": "2019-12-27T18:11:19.117Z",
      "description": "description",
      "updatedAt": "2019-12-27T18:11:19.117Z",
      "userId": "userId"
    }
  ],
  "success": true
}